var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
// import { AppConstants } from './../../resources/utils/app-constants.utils';
import { Injectable } from '@angular/core';
import { UserService } from '../services/users.services';
var AuthorizationHttpInterceptor = /** @class */ (function () {
    function AuthorizationHttpInterceptor(userService) {
        this.userService = userService;
    }
    AuthorizationHttpInterceptor.prototype.intercept = function (request, next) {
        try {
            if (!request.url.includes("refreshToken")) {
                var accessToken = this.userService.getAccessToken();
                request = request.clone({
                    setHeaders: {
                        // organizationId: String(AppConstants.ORGANIZATION_ID),
                        isAuditable: 'true',
                    }
                });
                if (accessToken) {
                    request = request.clone({
                        setHeaders: {
                            Authorization: "Bearer " + accessToken,
                        }
                    });
                }
                if (request.url.includes("validateUser")) {
                    var username = JSON.parse(request.body)['username'];
                    request = request.clone({
                        setHeaders: {
                            username: "" + username,
                        }
                    });
                }
                else if (request.url.includes("login")) {
                    var username = request.body.split('&')[1].split('=')[1];
                    request = request.clone({
                        setHeaders: {
                            username: "" + username,
                        }
                    });
                }
                else if (request.url.includes("getUserInformationByUsername") || request.url.includes("getPermissionsByUser")) {
                    var username = request.url.split('/')[5];
                    request = request.clone({
                        setHeaders: {
                            username: "" + username,
                        }
                    });
                }
                else {
                    request = request.clone({
                        setHeaders: {
                            userId: String(this.userService.getUserId()),
                            txUserId: String(this.userService.getUserId()),
                        }
                    });
                }
            }
            return next.handle(request);
        }
        catch (err) {
            //console.error(err);
            return next.handle(request);
        }
    };
    AuthorizationHttpInterceptor = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [UserService])
    ], AuthorizationHttpInterceptor);
    return AuthorizationHttpInterceptor;
}());
export { AuthorizationHttpInterceptor };
//# sourceMappingURL=http-authz.interceptors.js.map