import { HttpRequest, HttpHandler, HttpInterceptor } from '@angular/common/http';
import { HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MatDialog } from '@angular/material';
import { BehaviorSubject } from 'rxjs';
import { AuthComponent } from '../uix/auth/components/auth.components';
import { AuthService } from '../uix/auth/services/auth.services';
import { LoadingService } from '../uix/loading/services/loading.services';
import { UserService } from '../services/users.services';
import { LoginService } from '../services/login.services';
import { LogoutService } from '../services/logout.services';
export declare class ErrorHttpInterceptor extends AuthComponent implements HttpInterceptor {
    private loginService;
    private logoutService;
    dialog: MatDialog;
    authService: AuthService;
    loadingService: LoadingService;
    userService: UserService;
    isRefreshingToken: boolean;
    tokenSubject: BehaviorSubject<string>;
    constructor(loginService: LoginService, logoutService: LogoutService, dialog: MatDialog, authService: AuthService, loadingService: LoadingService, userService: UserService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private handle401Error;
    private handleError;
    private addNewAccessToken;
    private logoutUser;
    openErr(msj: string, action: boolean): void;
    openConfirmDialog(msj: string, action: boolean): void;
}
