var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { enviromentConfigService } from './../enviroment/enviroment-config.service';
import { FormModule } from './form.modules';
import { CommonsModule } from './commons.module';
import { MaterialModule } from './material.modules';
import { NgModule } from '@angular/core';
import { HttpClientModule } from '@angular/common/http';
import { HTTP_INTERCEPTORS } from '@angular/common/http';
import { AuthorizationHttpInterceptor } from '../interceptors/http-authz.interceptors';
import { ErrorHttpInterceptor } from '../interceptors/http-error.interceptors';
import { LoggedInGuard } from '../guards/logged-in.guard';
import { AuthGuard } from '../guards/auth.guard';
import { UserService } from '../services/users.services';
import { LoginService } from '../services/login.services';
import { SessionService } from '../services/session.services';
import { LogoutService } from '../services/logout.services';
import { UixModule } from '../uix/modules/uix.modules';
var CoreModule = /** @class */ (function () {
    function CoreModule() {
    }
    CoreModule_1 = CoreModule;
    CoreModule.forRoot = function (config) {
        return {
            ngModule: CoreModule_1,
            providers: [
                LoggedInGuard,
                AuthGuard,
                UserService,
                LoginService,
                SessionService,
                LogoutService,
                {
                    provide: enviromentConfigService,
                    useValue: config
                },
                {
                    provide: HTTP_INTERCEPTORS,
                    useClass: AuthorizationHttpInterceptor,
                    multi: true
                },
                {
                    provide: HTTP_INTERCEPTORS,
                    useClass: ErrorHttpInterceptor,
                    multi: true
                }
            ]
        };
    };
    var CoreModule_1;
    CoreModule = CoreModule_1 = __decorate([
        NgModule({
            imports: [
                HttpClientModule,
                MaterialModule,
                CommonsModule,
                UixModule,
                FormModule
            ],
            exports: [
                HttpClientModule,
                MaterialModule,
                CommonsModule,
                UixModule,
                FormModule
            ],
            declarations: [],
        })
    ], CoreModule);
    return CoreModule;
}());
export { CoreModule };
//# sourceMappingURL=core.modules.js.map