var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { GlobalConstantsService } from '../utils/globalsConstants';
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { map } from 'rxjs/operators';
import { UserService } from './users.services';
var LoginService = /** @class */ (function () {
    function LoginService(http, userService, GlobalConstantsService) {
        this.http = http;
        this.userService = userService;
        this.GlobalConstantsService = GlobalConstantsService;
    }
    LoginService.prototype.login = function (username, password) {
        var _this = this;
        // tslint:disable-next-line:prefer-const
        var data = new HttpParams()
            .set('grant_type', 'password')
            .set('password', password)
            .set('username', encodeURIComponent(username));
        var headers = new HttpHeaders()
            .set('Authorization', 'Basic ' + btoa(this.GlobalConstantsService.CLIENT_ID + ':' + this.GlobalConstantsService.CLIENT_SECRET))
            .set('Content-Type', 'application/x-www-form-urlencoded')
            .set('Access-Control-Allow-Origin', '*')
            .set('Access-Control-Allow-Methods', 'GET, POST, PATCH, PUT, DELETE, OPTIONS')
            .set('Access-Control-Allow-Headers', 'Origin, Content-Type, X-Auth-Token');
        // console.log(':: login :: url', GlobalConstants.API_LOGIN);
        return this.http.post(this.GlobalConstantsService.API_LOGIN, data.toString().replace(/\+/g, '%2B'), { headers: headers })
            .pipe(map(function (response) {
            // console.log(response);
            // tslint:disable-next-line:no-shadowed-variable
            var username = response['username'];
            if (username) {
                _this.userService.save(response);
                return true;
            }
            else {
                // return false to indicate failed login
                return false;
            }
        }));
    };
    LoginService.prototype.refreshToken = function () {
        var _this = this;
        var refreshToken = this.userService.getRefreshToken();
        // console.log(':: userService.getRefreshToken :: refreshToken', refreshToken);
        var data = new HttpParams()
            .set('grant_type', 'refresh_token')
            .set('refresh_token', refreshToken.toString());
        var headers = new HttpHeaders()
            .set('Authorization', 'Basic ' + btoa(this.GlobalConstantsService.CLIENT_ID + ':' + this.GlobalConstantsService.CLIENT_SECRET))
            .set('Content-Type', 'application/x-www-form-urlencoded')
            .set('Access-Control-Allow-Origin', '*')
            .set('Access-Control-Allow-Methods', 'GET, POST, PATCH, PUT, DELETE, OPTIONS')
            .set('Access-Control-Allow-Headers', 'Origin, Content-Type, X-Auth-Token');
        // console.log(':: refreshToken :: url', GlobalConstantsService.API_REFRESH_TOKEN);
        return this.http.post(this.GlobalConstantsService.API_REFRESH_TOKEN, data.toString(), { headers: headers })
            .pipe(map(function (response) {
            // console.log(':: refreshToken :: response', response);
            _this.userService.saveToken(response);
            var newAccessToken = response.access_token;
            // console.log(":: refreshToken :: newAccessToken", newAccessToken);
            return newAccessToken;
        }));
    };
    LoginService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient, UserService,
            GlobalConstantsService])
    ], LoginService);
    return LoginService;
}());
export { LoginService };
//# sourceMappingURL=login.services.js.map