var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { LoadingService } from '../uix/loading/services/loading.services';
import { Router } from '@angular/router';
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { UserService } from './users.services';
import { GlobalConstantsService } from '../utils/globalsConstants';
var LogoutService = /** @class */ (function () {
    function LogoutService(http, userService, Router, LoadingService, GlobalConstantsService) {
        this.http = http;
        this.userService = userService;
        this.Router = Router;
        this.LoadingService = LoadingService;
        this.GlobalConstantsService = GlobalConstantsService;
    }
    LogoutService.prototype.logout = function () {
        var _this = this;
        this.doLogout().subscribe(function (result) {
            _this.Router.navigate(['/']);
            _this.userService.clean();
            _this.LoadingService.updateLoading(false);
        }, function (err) {
            // console.log(err)
        });
    };
    LogoutService.prototype.doLogout = function () {
        localStorage.removeItem('userInformation');
        var data = this.userService.getSessionId();
        // console.log("logout: sessionId=" + data);
        var headers = new HttpHeaders()
            .set('Access-Control-Allow-Origin', '*')
            .set('Access-Control-Allow-Methods', 'GET, POST, PATCH, PUT, DELETE, OPTIONS')
            .set('Access-Control-Allow-Headers', 'Origin, Content-Type, X-Auth-Token');
        return this.http.post(this.GlobalConstantsService.API_LOGOUT, data, { headers: headers, observe: 'response' });
    };
    LogoutService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient, UserService, Router,
            LoadingService, GlobalConstantsService])
    ], LogoutService);
    return LogoutService;
}());
export { LogoutService };
//# sourceMappingURL=logout.services.js.map