var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { GlobalConstantsService } from './../utils/globalsConstants';
import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { UserService } from './users.services';
var SessionService = /** @class */ (function () {
    function SessionService(http, userService, GlobalConstantsService) {
        this.http = http;
        this.userService = userService;
        this.GlobalConstantsService = GlobalConstantsService;
    }
    SessionService.prototype.isExpired = function () {
        this.checkSession().subscribe(function (result) {
            return false;
        }, function (err) {
            console.log(err);
        });
        this.userService.clean();
        return true;
    };
    SessionService.prototype.checkSession = function () {
        var data = this.userService.getSessionId();
        console.log("checkSession: sessionId=" + data);
        var headers = new HttpHeaders()
            .set('Access-Control-Allow-Origin', '*')
            .set('Access-Control-Allow-Methods', 'GET, POST, PATCH, PUT, DELETE, OPTIONS')
            .set('Access-Control-Allow-Headers', 'Origin, Content-Type, X-Auth-Token');
        return this.http.post(this.GlobalConstantsService.API_CHECK_SESSION, data, { headers: headers, observe: 'response' });
    };
    SessionService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient, UserService, GlobalConstantsService])
    ], SessionService);
    return SessionService;
}());
export { SessionService };
//# sourceMappingURL=session.services.js.map