var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Injectable } from '@angular/core';
var UserService = /** @class */ (function () {
    function UserService() {
    }
    UserService.prototype.save = function (user) {
        try {
            localStorage.setItem('opvUser', JSON.stringify(user));
        }
        catch (err) {
            // console.log(':: UserService.save ::', err);
        }
    };
    UserService.prototype.saveUserId = function (userId) {
        try {
            var user = this.getUser();
            user.userId = userId;
            this.save(user);
        }
        catch (err) {
            // console.log(':: UserService.save ::', err);
        }
    };
    UserService.prototype.saveToken = function (token) {
        try {
            var user = this.getUser();
            // console.log(':: saveToken :: user', user);
            // console.log(':: saveToken :: token', token);
            user.token = token;
            this.save(user);
        }
        catch (err) {
            // console.log(':: UserService.save ::', err);
        }
    };
    UserService.prototype.clean = function () {
        try {
            localStorage.removeItem('opvUser');
        }
        catch (err) {
            // console.log(':: UserService.clean ::', err);
        }
    };
    UserService.prototype.isAuthenticated = function () {
        try {
            var user = this.getUser();
            var resp = user ? true : false;
            return resp;
        }
        catch (err) {
            // console.log(':: UserService.isAuthenticated ::', err);
        }
        return false;
    };
    UserService.prototype.getUserId = function () {
        try {
            var user = this.getUser();
            if (user) {
                return user.userId;
            }
        }
        catch (err) {
            // console.log(':: UserService.getUserId ::', err);
        }
        return false;
    };
    UserService.prototype.getUsername = function () {
        try {
            var user = this.getUser();
            if (user) {
                return user.username;
            }
        }
        catch (err) {
            // console.log(':: UserService.getUsername ::', err);
        }
        return false;
    };
    UserService.prototype.getSessionId = function () {
        try {
            var user = this.getUser();
            if (user) {
                return user.session.session_id;
            }
        }
        catch (err) {
            // console.log(':: UserService.getSessionId ::', err);
        }
        return false;
    };
    UserService.prototype.getMaxInactiveInterval = function () {
        var maxInactiveInterval = 900;
        try {
            var user = this.getUser();
            if (user) {
                maxInactiveInterval = Number(user.session.max_inactive_interval);
                // console.log(':: getMaxInactiveInterval :: maxInactiveInterval=' + maxInactiveInterval);
            }
        }
        catch (err) {
            // console.log(':: UserService.getMaxInactiveInterval ::', err);
        }
        return maxInactiveInterval;
    };
    UserService.prototype.getAccessToken = function () {
        try {
            var user = this.getUser();
            // // console.log(':: getAccessToken :: user', user);
            if (user) {
                return user.token.access_token;
            }
        }
        catch (err) {
            // // console.log(':: UserService.getAccessToken ::', err);
        }
        return false;
    };
    UserService.prototype.getExpiresInToken = function () {
        try {
            var user = this.getUser();
            if (user) {
                return user.token.expires_in;
            }
        }
        catch (err) {
            // console.log(':: UserService.getExpiresInToken ::', err);
        }
        return 0;
    };
    UserService.prototype.getRefreshToken = function () {
        try {
            var user = this.getUser();
            if (user) {
                return user.token.refresh_token;
            }
        }
        catch (err) {
            // console.log(':: UserService.getRefreshToken ::', err);
        }
        return false;
    };
    UserService.prototype.getUser = function () {
        return JSON.parse(localStorage.getItem('opvUser') || '{}');
    };
    UserService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [])
    ], UserService);
    return UserService;
}());
export { UserService };
//# sourceMappingURL=users.services.js.map