var AuthComponent = /** @class */ (function () {
    function AuthComponent(authService, loadingService, userService) {
        this.authService = authService;
        this.loadingService = loadingService;
        this.userService = userService;
        this.authenticated = false;
        this.loading = false;
    }
    AuthComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.authService.currentAuth.subscribe(function (authenticated) { return _this.authenticated = authenticated; });
        this.loadingService.currentLoading.subscribe(function (loading) { return _this.loading = loading; });
    };
    AuthComponent.prototype.updateAuthentication = function () {
        this.authenticated = this.userService.isAuthenticated();
        this.authService.updateAuthentication(this.authenticated);
    };
    AuthComponent.prototype.updateLoading = function (loaded) {
        this.loading = loaded;
        this.loadingService.updateLoading(this.loading);
    };
    return AuthComponent;
}());
export { AuthComponent };
//# sourceMappingURL=auth.components.js.map